"Johannes Schindelin via GitGitGadget" <gitgitgad...@gmail.com>
writes:

> Also, we make use of the shiny new feature we just introduced where the
> test suite can output JUnit-style .xml files. This information is made
> available in a nice UI that allows the viewer to filter by phase and/or
> test number, and to see trends such as: number of (failing) tests, time
> spent running the test suite, etc.
>
> Signed-off-by: Johannes Schindelin <johannes.schinde...@gmx.de>
> ---
>  azure-pipelines.yml   | 319 ++++++++++++++++++++++++++++++++++++++++++
>  ci/mount-fileshare.sh |  26 ++++
>  2 files changed, 345 insertions(+)
>  create mode 100644 azure-pipelines.yml
>  create mode 100755 ci/mount-fileshare.sh

I wonder if there is a need to keep what is tested by this and
Travis in sync in any way, but most of the logic is not defined in
these "steps" but implemented in ci/*.sh scripts to be shared, so it
would be OK, I guess.

> diff --git a/ci/mount-fileshare.sh b/ci/mount-fileshare.sh
> new file mode 100755
> index 0000000000..5fb5f74b70
> --- /dev/null
> +++ b/ci/mount-fileshare.sh
> @@ -0,0 +1,26 @@
> +#!/bin/sh
> +
> +die () {
> +     echo "$*" >&2
> +     exit 1
> +}
> +
> +test $# = 4 ||
> +die "Usage: $0 <share> <username> <password> <mountpoint"

Missing closing '>'.

> +
> +mkdir -p "$4" || die "Could not create $4"
> +
> +case "$(uname -s)" in
> +Linux)
> +     sudo mount -t cifs -o 
> vers=3.0,username="$2",password="$3",dir_mode=0777,file_mode=0777,serverino 
> "$1" "$4"
> +     ;;
> +Darwin)
> +     pass="$(echo "$3" | sed -e 's/\//%2F/g' -e 's/+/%2B/g')" &&
> +     mount -t smbfs,soft "smb://$2:$pass@${1#//}" "$4"
> +     ;;
> +*)
> +     die "No support for $(uname -s)"
> +     ;;
> +esac ||
> +die "Could not mount $4"
> +

Trailing blank line.

Thanks.

Reply via email to